package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qw.domain.QwIpadServerUser;
import org.apache.ibatis.annotations.Delete;

import java.util.List;

/**
 * ipad用户Mapper接口
 *
 * @author fs
 * @date 2025-04-29
 */
public interface QwIpadServerUserMapper extends BaseMapper<QwIpadServerUser>{
    /**
     * 查询ipad用户
     *
     * @param id ipad用户主键
     * @return ipad用户
     */
    QwIpadServerUser selectQwIpadServerUserById(Long id);

    /**
     * 查询ipad用户列表
     *
     * @param qwIpadServerUser ipad用户
     * @return ipad用户集合
     */
    List<QwIpadServerUser> selectQwIpadServerUserList(QwIpadServerUser qwIpadServerUser);

    /**
     * 新增ipad用户
     *
     * @param qwIpadServerUser ipad用户
     * @return 结果
     */
    int insertQwIpadServerUser(QwIpadServerUser qwIpadServerUser);

    /**
     * 修改ipad用户
     *
     * @param qwIpadServerUser ipad用户
     * @return 结果
     */
    int updateQwIpadServerUser(QwIpadServerUser qwIpadServerUser);

    /**
     * 删除ipad用户
     *
     * @param id ipad用户主键
     * @return 结果
     */
    int deleteQwIpadServerUserById(Long id);

    /**
     * 批量删除ipad用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwIpadServerUserByIds(Long[] ids);
    @Delete("DELETE FROM qw_ipad_server_user WHERE qw_user_id = #{id}")
    void deleteQwIpadServerUserByQwUserId(Long id);

}
